import request from '@/utils/request'

export function getTransportPage(data) {
  return request({
    url: '/js-transport/page',
    method: 'get',
    params: data
  })
}

export function getTransportList(data) {
  return request({
    url: '/js-transport/list',
    method: 'post',
    data: data
  })
}

export function getTransportDetail(data) {
  return  request({
    url: '/js-transport/listById',
    method: 'post',
    data: data
  })
}

export function addTransportPage(data) {
  return request({
    url: '/js-transport/add',
    method: 'post',
    data: data
  })
}

export function editTransportPage(data) {
  return request({
    url: '/js-transport/edit',
    method: 'post',
    data: data
  })
}

export function delTransportPage(data) {
  return request({
    url: '/js-transport/delete',
    method: 'post',
    data: data
  })
}

// 拿到暂存批次号
export function getTsAll(data) {
  return request({
    url: '/js-store/list',
    method: 'post',
    data: data
  })
}
